Skip to main content

This site requires you to update your browser. Your browsing experience maybe affected by not having the most up to date version.

We're retiring the forums!

The SilverStripe forums have passed their heyday. They'll stick around, but will be read only. We'd encourage you to get involved in the community via the following channels instead:

Forum Module /

Discuss the Forum Module.

Moderators: martimiz, Sean, Ed, biapar, Willr, Ingo, swaiba

Forum 0.2.0 and SS 2.3.3


Go to End


12 Posts   3404 Views

Avatar
Bruce B

Community Member, 164 Posts

5 August 2009 at 7:02pm

I have Forums running happily under 2.3.2. I loaded 'cms', 'jsparty' and 'sapphire' from 2.3.3 and then ran dev/build/?flush=1

All I got was a PHP error:
PHP Fatal error: Using $this when not in object context in . . . /forum/code/ForumRole.php on line 85
Reverting back to 2.3.2 fixed the problem.

Can someone confirm that the Forum module is OK in their set up under 2.3.3?

Avatar
jmperea

Community Member, 5 Posts

5 August 2009 at 7:53pm

I have the same problem.

bye

Avatar
jmperea

Community Member, 5 Posts

5 August 2009 at 11:18pm

Hello:

I have installed forum-trunk-r81880.tar.gz, and now is ok.

Try it.

bye

Avatar
BruceG

Community Member, 29 Posts

6 August 2009 at 11:20pm

Edited: 06/08/2009 11:28pm

I installed the trunk version and got as far as posting the first post and this error occurred

Fatal error: require_once() [function.require]: Failed opening required 'HTML/BBCodeParser/Filter.php' (include_path='./:/usr/local/lib/php:/usr/share/pear/:/usr/local/apache/phpinc/:/home/afsmanawatu/afsm.org.nz/') in /home/afsmanawatu/afsm.org.nz/sapphire/parsers/HTML/BBCodeParser/Filter/Basic.php on line 31

So the post exists but I can't open it and get the above instead.

Avatar
Bruce B

Community Member, 164 Posts

7 August 2009 at 1:03pm

I have installed forum-trunk-r81880 and just confirmed that all the basic functionality seems to be working - create new topic, reply to a topic and editing a topic.

Avatar
Willr

Forum Moderator, 5523 Posts

17 August 2009 at 11:46am

Hey Guys,

Thanks for this, something must have changed in 2.3.3. I will release a smaller Forum 0.3 update to address 2.3.3 compatibility before we start on the upcoming major API changes for Forum trunk.

Cheers,
Will

Avatar
andrew_crosby

Community Member, 5 Posts

20 August 2009 at 8:56pm

Hi Will,

thanks for this - any idea of the timescales for this Forum 0.3 release?

Avatar
Willr

Forum Moderator, 5523 Posts

20 August 2009 at 9:01pm

an update will be released tomorrow. I will quickly review the situation tomorrow morning but it will be a 0.2.1 release for now so I will post once that has been released and download pages updated.

Go to Top